WordPress 2.8 en de Visual Editor (TinyMCE)

Bij het upgraden van een aantal blogs die ik beheer naar WordPress 2.8 bleek de Visual Editor niet meer te werken in de administratiepagina’s (pagina’s en posts bewerken). De fout deed zich voor in elke browser en kwam neer op een javascript error “TinyMCE is undefined”. Na wat rondneuzen op Den Internet, vond ik een oplossing.  Het komt erop neer dat je WordPress 2.8 nog eens moet installeren.

Voor de upgrade maakte ik gebruik van de plugin WordPress Automatic Upgrade (omdat die ook backups maakt van de files en de data). Misschien ging het daar verkeerd.  In ieder geval het probleem raakte opgelost met deze truc:

  • Ga naar Tools->Upgrade (of Gereedschap->Bijwerken) en kies Re-Install Automatically (Automatisch Herinstalleren)
  • Ga dan naar een bewerkscherm van een post (je zal zien dat de visual editor nog niet werkt)
  • Schakel Google Gears uit voor de site (via het instellingen scherm van je browser, in Internet Explorer is dit Tools->Gears Settings)
  • Doe een hard-refresh van de pagina (via CTRL+F5 in Internet Explorer)
  • Schakel eventueel Google Gears weer in

Een reactie op “WordPress 2.8 en de Visual Editor (TinyMCE)

  • 13 juni 2009 om 17:02
    Permalink

    Dankje voor deze oplossing! Zelf had ik ook al het een en ander geprobeerd, maar het wilde niet lukken. Nu werkt het weer perfect! 😉

Geef een reactie

Het e-mailadres wordt niet gepubliceerd. Verplichte velden zijn gemarkeerd met *